NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Features.LocalScaleCurveBuilder Class Reference

Represents a Features.LocalScaleCurve builder More...

Inheritance diagram for NXOpen.Features.LocalScaleCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe
NXOpen.Features.CurveFinderBuilder 
CurveFinder [get]
 Returns the curve finder More...
 
unsafe NXOpen.Expression Distance [get]
 Returns the distance More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.Expression InputScaleFactor [get]
 Returns the scale factor More...
 
unsafe bool KeepOrthogonal [get, set]
 Returns or sets a value that indicates whether keep orthogonal is enabled More...
 
unsafe int KeepTangent [get, set]
 Returns or sets a value that indicates which keep tangent support is selected More...
 
unsafe NXOpen.Point3d ScaleOrigin [get, set]
 Returns or sets the scale origin More...
 
unsafe int SizeOption [get, set]
 Returns or sets a value that indicates which size option is selected More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.LocalScaleCurve builder

To create a new instance of this class, use NXOpen.Features.SynchronousCurveCollection.CreateLocalScaleCurveBuilder

Default values.

Property Value

CurveFinder.ChamferEnabled

0

CurveFinder.CoincidentVertex2dComponentEnabled

0

CurveFinder.CoincidentVertexEnabled

0

CurveFinder.CoincidentVertexSketchGroupEnabled

0

CurveFinder.Collinear2dComponentEnabled

0

CurveFinder.CollinearEnabled

0

CurveFinder.CollinearSketchGroupEnabled

0

CurveFinder.Concentric2dComponentEnabled

0

CurveFinder.ConcentricEnabled

0

CurveFinder.ConcentricSketchGroupEnabled

0

CurveFinder.EqualRadius2dComponentEnabled

0

CurveFinder.EqualRadiusEnabled

0

CurveFinder.EqualRadiusSketchGroupEnabled

0

CurveFinder.Offset2dComponentEnabled

0

CurveFinder.OffsetEnabled

0

CurveFinder.OffsetSketchGroupEnabled

0

CurveFinder.Parallel2dComponentEnabled

0

CurveFinder.ParallelEnabled

0

CurveFinder.ParallelSketchGroupEnabled

0

CurveFinder.SymmetricEnabled

0

CurveFinder.Tangent2dComponentEnabled

0

CurveFinder.TangentEnabled

0

CurveFinder.TangentSketchGroupEnabled

0

CurveFinder.UseCurveFinder

1

CurveFinder.VertexOnCurve2dComponentEnabled

0

CurveFinder.VertexOnCurveEnabled

0

CurveFinder.VertexOnCurveSketchGroupEnabled

0

Created in NX11.0.0

Property Documentation

unsafe NXOpen.Features.CurveFinderBuilder NXOpen.Features.LocalScaleCurveBuilder.CurveFinder
get

Returns the curve finder

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.LocalScaleCurveBuilder.Distance
get

Returns the distance

Created in NX11.0.0

License requirements: None.

unsafe double NXOpen.Features.LocalScaleCurveBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.Features.LocalScaleCurveBuilder.InputScaleFactor
get

Returns the scale factor

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Features.LocalScaleCurveBuilder.KeepOrthogonal
getset

Returns or sets a value that indicates whether keep orthogonal is enabled

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.LocalScaleCurveBuilder.KeepTangent
getset

Returns or sets a value that indicates which keep tangent support is selected

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Point3d NXOpen.Features.LocalScaleCurveBuilder.ScaleOrigin
getset

Returns or sets the scale origin

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Features.LocalScaleCurveBuilder.SizeOption
getset

Returns or sets a value that indicates which size option is selected

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.